Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 00:29
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
lighttpd 1.4.18 and PHP 5.2.5
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
rockym93


Joined: 04 Jul 2006
Posts: 21
Location: Australia

PostPosted: Tue 01 Jan 2008, 19:43    Post subject:  lighttpd 1.4.18 and PHP 5.2.5  

Hi everyone,
Just finished installing a web server on a Puppy computer and I decided to package the server and things I used so that everyone could enjoy them, and also because I was getting annoyed at the lack of up to date server and PHP packages.
The server I've used is lighttpd, since it's smaller and faster than Apache (which fits in nicely with Puppy), and it's pretty easy to set up (there's a really good tutorial here)

Anyway, enough talk.

lighttpd-1.4.18-i486.pet

php-5.2.5-i486.pet

_________________

Back to top
View user's profile Send private message Visit poster's website 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Wed 02 Jan 2008, 22:40    Post subject:  

mirror:
http://dotpups.de/dotpups/Internet/lighttpd-1.4.18-i486.pet
http://dotpups.de/dotpups/Programming/php-5.2.5-i486.pet

thanks, Mark
Back to top
View user's profile Send private message Visit poster's website 
raffy

Joined: 25 May 2005
Posts: 4775
Location: Manila

PostPosted: Thu 03 Jan 2008, 06:46    Post subject: thanks  

This is most welcome. I've read that PHP5 will be the standard beginning this year, so it's useful to have it ready for Puppy. And a light server - perfect for servers in schools.

BTW, the tutorial link should be:
http://trac.lighttpd.net/trac/wiki/TutorialConfiguration
(some typo there, I guess)

_________________
Puppy user since Oct 2004. Want FreeOffice? Get the sfs (English only).
Back to top
View user's profile Send private message 
mohan34u


Joined: 14 Nov 2007
Posts: 67

PostPosted: Fri 04 Jan 2008, 09:29    Post subject:  

Thanks,

I waited for PHP5 in puppy and finally I got it...
Back to top
View user's profile Send private message Visit poster's website 
WoodLark


Joined: 17 Apr 2007
Posts: 69
Location: South Carolina, USA

PostPosted: Sat 16 Jan 2010, 21:17    Post subject:  

I know this is an old thread, but I just installed lighttpd and php using the .pets in this thread. Whenever I try to run a php page, I get "403 Forbidden". What do I need to do to correct it.

Also, the php installer did not create a php.ini file. Where should this file be.
Back to top
View user's profile Send private message 
rockym93


Joined: 04 Jul 2006
Posts: 21
Location: Australia

PostPosted: Mon 18 Jan 2010, 09:44    Post subject:  

Hey,

Which server are you using? It might need to be set up to use PHP properly, and how you do that depends on the server. If it's Lighttpd, there's a setup tutorial in the first post.

Oh, just thought of something else- you might also need to change the permissions or ownership on the .php file you're using. Try chmod 777 [the file name] (but don't leave it like that, for security reasons) or chown [the username the server is running as] [the filename] This is just a vague hunch though. Other than that, got no idea.

As for php.ini, there's a list of where to put it on the php website as well as the options you need. It looks like it might be a server-dependant thing though, because I don't remember having to set one up. I'm a bit of an amateur when it comes to this kinda stuff, so if anyone knows better let me know.

These packages are kinda old, too, you might have better luck compiling some new ones yourself.

Good luck...

_________________

Back to top
View user's profile Send private message Visit poster's website 
dejan555


Joined: 30 Nov 2008
Posts: 2681
Location: Montenegro

PostPosted: Mon 18 Jan 2010, 09:49    Post subject:  

Like rocky said, post your webserver, and puppy version too.
Newer puppy builds no more use "nobody" user for webserver, but "webuser" I think, plus, root directory has changed, it's not more ~/httpd but ~/Web-Server, I encountered this errors (well, on older puppies those are good setups Rolling Eyes ) while using growlers php/mysql pet on dpup, configuration files for hiawatha and php.ini were different

_________________


Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
WoodLark


Joined: 17 Apr 2007
Posts: 69
Location: South Carolina, USA

PostPosted: Wed 20 Jan 2010, 09:07    Post subject:  

Thanks for the help. The problem was that no php.ini file was created so php went with its defaults. Once I got the php.ini-dist file and figured out where to put it, (/usr/local/lib) then everything worked.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0570s ][ Queries: 11 (0.0042s) ][ GZIP on ]